[INCLUDE]
ctPackage

[CODE]
Public Function ctPackage_GetRawFileDataContent(ByVal ctPackagePointer As Long, ByVal IntExtFilesData As String) As String
  Dim xLong1 As Long
  Dim ctPIType As ctPackage_InfoType
  If ctPackage_GetInfoEx(ctPackagePointer, ctPIType) Then
    xLong1 = ctPackage_LenCharToLong(IntExtFilesData, FileIntOffset)
    ctPackage_GetRawFileDataContent = String(xLong1, vbNullChar)
    'Get ctPIType.FileHandle, ctPackage_LenCharToLong(IntExtFilesData, FilePosOffset) + 1&, ctPackage_GetRawFileDataContent
    If Not SetFilePointer(ctPIType.FileHandle, ctPackage_LenCharToLong(IntExtFilesData, FilePosOffset), 0&, 0&) = -1& Then
      If Not ReadFile(ctPIType.FileHandle, ByVal ctPackage_GetRawFileDataContent, xLong1, 0&, ByVal 0&) = 0& Then
        ctPackage_GetRawFileDataContent = Left(IntExtFilesData, 1&) & String(4&, vbNullChar) & Mid(IntExtFilesData, 6&, 8&) & ctPackage_GetRawFileDataContent
        End If
      End If
    End If
  End Function
